PETSc version 3.17.4
Fix/Edit manual page

# PetscDSHasBdJacobianPreconditioner

Signals that boundary Jacobian preconditioner functions have been set

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSHasBdJacobianPreconditioner(PetscDS ds, PetscBool *hasBdJacPre)

Not collective

### Input Parameter

| ds | - The PetscDS

### Output Parameter

| hasBdJac | - flag that pointwise function for the boundary Jacobian preconditioner has been set

### See Also

PetscDSHasJacobian(), PetscDSSetBdJacobian(), PetscDSGetBdJacobian()

### Level

intermediate

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages